import QtQuick 2.0
import Sailfish.Silica 1.0

BackgroundItem {
    property string headerText: ""
    height: label.height + (Theme.paddingLarge * 2)
    Label {
        id: label

        width: parent.width - image.width
        //height: Theme.itemSizeLarge
        text: headerText
        maximumLineCount: 2
        wrapMode: Text.WordWrap
        font.pixelSize: Theme.fontSizeLarge
        font.bold: true
        //verticalAlignment: Text.AlignVCenter
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        anchors.leftMargin: Theme.paddingLarge
        anchors.right: image.left
        anchors.rightMargin: Theme.paddingLarge
        color: Theme.primaryColor
       // visible: radioBrowser.getCountryName(_country) || playedCountries.count > 0 ? true : false
    }
    Image {
        id: image
        anchors.right: parent.right
        anchors.rightMargin: Theme.paddingLarge
        anchors.verticalCenter: label.verticalCenter
        source: "image://theme/icon-m-right"
    }
    Rectangle {
        //visible: fill
        anchors.fill: parent
         gradient: Gradient {
             GradientStop { position: 0.0; color: Theme.rgba(Theme.highlightBackgroundColor,0.125) }
             GradientStop { position: 1.0; color: "transparent" }
         }
    }
}
